[PVE-User] Issue with latest kernel and Dell OMSA 7.1 - no controllers found

Alexandre DERUMIER aderumier at odiso.com
Fri Aug 30 17:45:18 CEST 2013


Hi, I have had the same error, 


this is because of ipmi module is no more as module in kernel, if I remember.(this is the same with rhel6.4 kernel). 

I have edit /etc/init.d/dsm_sa_ipmi

(I have attached my version in this mail)


----- Mail original ----- 

De: "Eneko Lacunza" <elacunza at binovo.es> 
À: pve-user at pve.proxmox.com 
Envoyé: Vendredi 30 Août 2013 15:04:42 
Objet: [PVE-User] Issue with latest kernel and Dell OMSA 7.1 - no controllers found 

Hi all, 

I just updated one of our proxmox nodes to latest proxmox. Kernel was 
2.6.20-pve before upgrading, and is 2.6.32-23-pve now. 

All went just fine, but now OMSA doesn't recognize the H700 RAID 
controller. I noticed that ipmi_si.ko and ipmi_msghandler.ko are no 
longer in the /lib/modules/2.6.32-23-pve subdirectories... but they were 
there in versions 2.6.32-5-amd64 (debian kernel), 2.6.32-11-pve, 
2.6.32-14-pve, 2.6.32-16-pve, 2.6.32-19-pve, 2.6.32-20-pve at least... 

Also, OMSA gives the following errors: 
root at butroe:# /opt/dell/srvadmin/sbin/srvadmin-services.sh start 
Starting Systems Management Device Drivers: 
Starting dell_rbu: Already started. 
Starting ipmi driver: failed! 
Starting Systems Management Device Drivers: 
Starting dell_rbu: Already started. 
Starting ipmi driver: failed! 
DSM SA Connection Service is already started 


root at butroe:/var/log# pveversion -v 
proxmox-ve-2.6.32: 3.1-109 (running kernel: 2.6.32-23-pve) 
pve-manager: 3.1-3 (running version: 3.1-3/dc0e9b0e) 
pve-kernel-2.6.32-20-pve: 2.6.32-100 
pve-kernel-2.6.32-19-pve: 2.6.32-96 
pve-kernel-2.6.32-16-pve: 2.6.32-82 
pve-kernel-2.6.32-14-pve: 2.6.32-74 
pve-kernel-2.6.32-11-pve: 2.6.32-66 
pve-kernel-2.6.32-23-pve: 2.6.32-109 
lvm2: 2.02.98-pve4 
clvm: 2.02.98-pve4 
corosync-pve: 1.4.5-1 
openais-pve: 1.1.4-3 
libqb0: 0.11.1-2 
redhat-cluster-pve: 3.2.0-2 
resource-agents-pve: 3.9.2-4 
fence-agents-pve: 4.0.0-1 
pve-cluster: 3.0-7 
qemu-server: 3.1-1 
pve-firmware: 1.0-23 
libpve-common-perl: 3.0-6 
libpve-access-control: 3.0-6 
libpve-storage-perl: 3.0-10 
pve-libspice-server1: 0.12.4-1 
vncterm: 1.1-4 
vzctl: 4.0-1pve3 
vzprocps: 2.0.11-2 
vzquota: 3.1-2 
pve-qemu-kvm: 1.4-17 
ksm-control-daemon: 1.1-1 
glusterfs-client: 3.4.0-2 

Thanks a lot 
Eneko 

-- 
Zuzendari Teknikoa / Director Técnico 
Binovo IT Human Project, S.L. 
Telf. 943575997 
943493611 
Astigarraga bidea 2, planta 6 dcha., ofi. 3-2; 20180 Oiartzun (Gipuzkoa) 
www.binovo.es 

_______________________________________________ 
pve-user mailing list 
pve-user at pve.proxmox.com 
http://pve.proxmox.com/cgi-bin/mailman/listinfo/pve-user 
-------------- next part --------------
A non-text attachment was scrubbed...
Name: dsm_sa_ipmi
Type: application/x-shellscript
Size: 14003 bytes
Desc: not available
URL: <http://pve.proxmox.com/pipermail/pve-user/attachments/20130830/d0561323/attachment-0015.bin>


More information about the pve-user mailing list